import { NodePath } from 'babel-traverse';
export interface Dependence {
    source: string;
    name?: string;
    isNej: boolean;
    isText: boolean;
    moduleName?: string;
    nejmName?: string;
}
export interface NEJDependence {
    custormModule: Dependence[];
    textModule: Dependence[];
    nejModule: Dependence[];
    rawDeps: Dependence[];
    fnBody: any;
}
/**
 * 获取nej模块依赖
 *
 * @param path
 */
export default function (path: NodePath): NEJDependence;
